<!-- Original:  Angus Turnbull -->
<!-- Web Site:  http://gusnz.cjb.net -->

<!-- This script and many more are available free online at -->
<!-- The JavaScript Source!! http://javascript.internet.com -->

var isDOM = (document.getElementById ? true : false);
var isIE4 = ((document.all && !isDOM) ? true : false);
var isNS4 = (document.layers ? true : false);

function getRef(id) {
	if (isDOM) return document.getElementById(id);
	if (isIE4) return document.all[id];
	if (isNS4) return document.layers[id];
}

function getSty(id) {
	return (isNS4 ? getRef(id) : getRef(id).style);
}


// Hide timeout.
var popTimer = 0;

// Array showing highlighted menu items.
var litNow = new Array();

function popOver(menuNum, itemNum) {
	clearTimeout(popTimer);
	hideAllBut(menuNum);
	litNow = getTree(menuNum, itemNum);
	changeCol(litNow, true);
	targetNum = menu[menuNum][itemNum].target;

	if (targetNum > 0) {
		thisX = parseInt(menu[menuNum][0].ref.left) + parseInt(menu[menuNum][itemNum].ref.left);
		thisY = parseInt(menu[menuNum][0].ref.top) + parseInt(menu[menuNum][itemNum].ref.top);
		with (menu[targetNum][0].ref) {
			left = parseInt(thisX + menu[targetNum][0].x);
			top = parseInt(thisY + menu[targetNum][0].y);
			visibility = 'visible';
		}
	}
}

function popOut(menuNum, itemNum) {
	if ((menuNum == 0) && !menu[menuNum][itemNum].target)
		hideAllBut(0)
	else
		popTimer = setTimeout('hideAllBut(0)', 500);
}


function getTree(menuNum, itemNum) {
	// Array index is the menu number. The contents are null (if that menu is not a parent)
	// or the item number in that menu that is an ancestor (to light it up).
	itemArray = new Array(menu.length);

	while(1) {
		itemArray[menuNum] = itemNum;

		// If we've reached the top of the hierarchy, return.
		if (menuNum == 0)
			return itemArray;

		itemNum = menu[menuNum][0].parentItem;
		menuNum = menu[menuNum][0].parentMenu;
	}
}

// Pass an array and a boolean to specify colour change, true = over colour.
function changeCol(changeArray, isOver) {
	for (menuCount = 0; menuCount < changeArray.length; menuCount++) {
		if (changeArray[menuCount]) {
			newCol = isOver ? menu[menuCount][0].overCol : menu[menuCount][0].backCol;
			// Change the colours of the div/layer background.
			with (menu[menuCount][changeArray[menuCount]].ref) {
				if (isNS4)
					bgColor = newCol;
				else
					backgroundColor = newCol;
			}
		}
	}
}

function hideAllBut(menuNum) {
	var keepMenus = getTree(menuNum, 1);
	for (count = 0; count < menu.length; count++)
		if (!keepMenus[count])
			menu[count][0].ref.visibility = 'hidden';
	changeCol(litNow, false);
}





// *** MENU CONSTRUCTION FUNCTIONS ***

function Menu(isVert, popInd, x, y, width, overCol, backCol, borderClass, textClass) {
	// True or false - a vertical menu?
	this.isVert = isVert;

	// The popout indicator used (if any) for this menu.
	this.popInd = popInd

	// Position and size settings.
	this.x = x;
	this.y = y;
	this.width = width;

	// Colours of menu and items.
	this.overCol = overCol;
	this.backCol = backCol;

	// The stylesheet class used for item borders and the text within items.
	this.borderClass = borderClass;
	this.textClass = textClass;

	// Parent menu and item numbers, indexed later.
	this.parentMenu = null;
	this.parentItem = null;

	// Reference to the object's style properties (set later).
	this.ref = null;
}


function Item(text, href, frame, length, spacing, target) {
	this.text = text;
	this.href = href;
	this.frame = frame;
	this.length = length;
	this.spacing = spacing;
	this.target = target;

	// Reference to the object's style properties (set later).
	this.ref = null;
}

function writeMenus() {
	if (!isDOM && !isIE4 && !isNS4)
		return;

	for (currMenu = 0; currMenu < menu.length; currMenu++)
		with (menu[currMenu][0]) {
		// Variable for holding HTML for items and positions of next item.
		var str = '', itemX = 0, itemY = 0;

		// Remember, items start from 1 in the array (0 is menu object itself, above).
		// Also use properties of each item nested in the other with() for construction.
		for (currItem = 1; currItem < menu[currMenu].length; currItem++) with (menu[currMenu][currItem]) {
			var itemID = 'menu' + currMenu + 'item' + currItem;

			// The width and height of the menu item - dependent on orientation!
			var w = (isVert ? width : length);
			var h = (isVert ? length : width);


			// Create a div or layer text string with appropriate styles/properties.
			// Thanks to Paul Maden (www.paulmaden.com) for helping debug this in IE4, apparently
			// the width must be a miniumum of 3 for it to work in that browser.
			if (isDOM || isIE4) {
				str += '<div id="' + itemID + '" style="position: absolute; left: ' + itemX + '; top: ' + itemY + '; width: ' + w + '; height: ' + h + '; visibility: inherit; ';
				if (backCol)
					str += 'background: ' + backCol + '; ';
				str += '" ';
			}

			if (isNS4) {
				str += '<layer id="' + itemID + '" left="' + itemX + '" top="' + itemY + '" width="' + w + '" height="' + h + '" visibility="inherit" ';
				if (backCol) str += 'bgcolor="' + backCol + '" ';
			}

			if (borderClass)
				str += 'class="' + borderClass + '" ';

			// Add mouseover handlers and finish div/layer.
			str += 'onMouseOver="popOver(' + currMenu + ',' + currItem + ')" onMouseOut="popOut(' + currMenu + ',' + currItem + ')">';

			// Add contents of item (default: table with link inside).
			// In IE/NS6+, add padding if there's a border to emulate NS4's layer padding.
			// If a target frame is specified, also add that to the <a> tag.

			str += '<table width="' + (w*2) + '" border="0" cellspacing="0" cellpadding="' + (!isNS4 && borderClass ? 3 : 0) + '"><tr><td align="center" height="' + h + '">' + '<a class="' + textClass + '" href="' + href + '"' + (frame ? ' target="' + frame + '">' : '>') + text + '</a></td>';

			if (target > 0) {

				// Set target's parents to this menu item.
				menu[target][0].parentMenu = currMenu;
				menu[target][0].parentItem = currItem;

				// Add a popout indicator.
				if (popInd)
					str += '<td class="' + textClass + '" align="right">' + popInd + '</td>';
			}
			str += '</tr></table>' + (isNS4 ? '</layer>' : '</div>');

			if (isVert)
				itemY += length + spacing;
			else
				itemX += length + spacing;
		}
		if (isDOM) {
			var newDiv = document.createElement('div');
			document.getElementsByTagName('body').item(0).appendChild(newDiv);
			newDiv.innerHTML = str;
			ref = newDiv.style;
			ref.position = 'absolute';
			ref.visibility = 'hidden';
		}

		// Insert a div tag to the end of the BODY with menu HTML in place for IE4.
		if (isIE4) {
			document.body.insertAdjacentHTML('beforeEnd', '<div id="menu' + currMenu + 'div" ' + 'style="position: absolute; visibility: hidden">' + str + '</div>');
			ref = getSty('menu' + currMenu + 'div');
		}

		// In NS4, create a reference to a new layer and write the items to it.
		if (isNS4) {
			ref = new Layer(0);
			ref.document.write(str);
			ref.document.close();
		}

		for (currItem = 1; currItem < menu[currMenu].length; currItem++) {
			itemName = 'menu' + currMenu + 'item' + currItem;
			if (isDOM || isIE4)
				menu[currMenu][currItem].ref = getSty(itemName);
			if (isNS4)
				menu[currMenu][currItem].ref = ref.document[itemName];
		}
	}

	with(menu[0][0]) {
		ref.left = x;
		ref.top = y;
		ref.visibility = 'visible';
	}
}



// *** OPTIONAL CODE FROM HERE DOWN ***

// These two lines handle the window resize bug in NS4. See <body onResize="...">.
// I recommend you leave this here as otherwise when you resize NS4's width menus are hidden.

var popOldWidth = window.innerWidth;
nsResizeHandler = new Function('if (popOldWidth != window.innerWidth) location.reload()');


// This is a quick snippet that captures all clicks on the document and hides the menus
// every time you click. Use if you want.

if (isNS4)
	document.captureEvents(Event.CLICK);
document.onclick = clickHandle;

function clickHandle(evt) {
	if (isNS4) document.routeEvent(evt);
	hideAllBut(0);
}


// This is just the moving command for the example.

function moveRoot() {
	with(menu[0][0].ref) left = ((parseInt(left) < 100) ? 100 : 5);
}

// Syntaxes: *** START EDITING HERE, READ THIS SECTION CAREFULLY! ***
//
// menu[menuNumber][0] = new Menu(Vertical menu? (true/false), 'popout indicator', left, top,
// width, 'mouseover colour', 'background colour', 'border stylesheet', 'text stylesheet');
//
// Left and Top are measured on-the-fly relative to the top-left corner of its trigger, or
// for the root menu, the top-left corner of the page.
//
// menu[menuNumber][itemNumber] = new Item('Text', 'URL', 'target frame', length of menu item,
//  additional spacing to next menu item, number of target menu to popout);
//
// If no target menu (popout) is desired, set it to 0. Likewise, if your site does not use
// frames, pass an empty string as a frame target.
//
// Something that needs explaining - the Vertical Menu setup. You can see most menus below
// are 'true', that is they are vertical, except for the first root menu. The 'length' and
// 'width' of an item depends on its orientation -- length is how long the item runs for in
// the direction of the menu, and width is the lateral dimension of the menu. Just look at
// the examples and tweak the numbers, they'll make sense eventually :).

var menu = new Array();

// Default colours passed to most menu constructors (just passed to functions, not
// a global variable - makes things easier to change later in bulk).
var defOver = '#AAAAFF', defBack = '#EEEEFF';

// Default 'length' of menu items - item height if menu is vertical, width if horizontal.
var defLength = 22;

// Menu 0 is the special, 'root' menu from which everything else arises.
menu[0] = new Array();

menu[0][0] = new Menu(false, '', 250, 18, 22, '#AAAAFF', '#EEEEFF', '', 'NavBarFont2');
////////////////////


menu[0][1] = new Item('Application architecture', '#', '', 85, 92, 1);
menu[1] = new Array();
menu[1][0] = new Menu(true, '>', 0, 20, 88, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[1][1] = new Item('Processes', '#', '', 24, 0, 2)
menu[2] = new Array();
menu[2][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[2][1] = new Item('change Processes quit behavior', relativepath + 'ApplicationArchitecture/Processes/changeProcessesQuitBehavior.html', '', 42, 0, 0)
menu[2][2] = new Item('change Processes start behavior', relativepath + 'ApplicationArchitecture/Processes/changeProcessesStartBehavior.html', '', 42, 0, 0)
menu[2][3] = new Item('create a Transition that just changes to a Gate', relativepath + 'ApplicationArchitecture/Processes/createATransitionThatJustChangesToAGate.html', '', 60, 0, 0)
menu[2][4] = new Item('define a Gate', relativepath + 'ApplicationArchitecture/Processes/defineAGate.html', '', 24, 0, 0)
menu[2][5] = new Item('define a Transition', relativepath + 'ApplicationArchitecture/Processes/defineATransition.html', '', 24, 0, 0)
menu[2][6] = new Item('define a UIGate', relativepath + 'ApplicationArchitecture/Processes/defineAUIGate.html', '', 24, 0, 0)
menu[2][7] = new Item('define new error code', relativepath + 'ApplicationArchitecture/Processes/defineNewErrorCode.html', '', 24, 0, 0)
menu[2][8] = new Item('incorporate a SaleProcess', relativepath + 'ApplicationArchitecture/Processes/incorporateASaleProcess.html', '', 42, 0, 0)
menu[2][9] = new Item('select a Transition that changes to a special Gate', relativepath + 'ApplicationArchitecture/Processes/selectATransitionThatChangesToASpecialGate.html', '', 60, 0, 0)
menu[1][2] = new Item('SalesPoint', '#', '', 24, 0, 3)
menu[3] = new Array();
menu[3][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[3][1] = new Item('change SalesPoints quit behavior', relativepath + 'ApplicationArchitecture/SalesPoint/changeSalesPointsQuitBehavior.html', '', 42, 0, 0)
menu[3][2] = new Item('incorporate a SalesPoint', relativepath + 'ApplicationArchitecture/SalesPoint/incorporateASalesPoint.html', '', 42, 0, 0)
menu[1][3] = new Item('Shop', '#', '', 24, 0, 4)
menu[4] = new Array();
menu[4][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[4][1] = new Item('change Shops quit behavior', relativepath + 'ApplicationArchitecture/Shop/changeShopsQuitBehavior.html', '', 42, 0, 0)
menu[4][2] = new Item('incorporate a Shop', relativepath + 'ApplicationArchitecture/Shop/incorporateAShop.html', '', 24, 0, 0)
menu[4][3] = new Item('react to adding or removing of a SalesPoint', relativepath + 'ApplicationArchitecture/Shop/reactToAddingOrRemovingOfASalesPoint.html', '', 42, 0, 0)
menu[4][4] = new Item('run a Process in the shopframe', relativepath + 'ApplicationArchitecture/Shop/runAProcessInTheShopframe.html', '', 42, 0, 0)
menu[1][4] = new Item('Time management', '#', '', 24, 0, 5)
menu[5] = new Array();
menu[5][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[5][1] = new Item('incorporate a Timer', relativepath + 'ApplicationArchitecture/TimeManagement/incorporateATimer.html', '', 24, 0, 0)
menu[5][2] = new Item('select a Time type', relativepath + 'ApplicationArchitecture/TimeManagement/selectATimeType.html', '', 24, 0, 0)
menu[5][3] = new Item('select a Timer type', relativepath + 'ApplicationArchitecture/TimeManagement/selectATimerType.html', '', 24, 0, 0)

menu[0][2] = new Item('Data management', '#', '', 53, 60, 6);
menu[6] = new Array();
menu[6][0] = new Menu(true, '>', 0, 20, 88, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[6][1] = new Item('Catalog', '#', '', 24, 0, 7)
menu[7] = new Array();
menu[7][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[7][1] = new Item('define a CatalogItem', relativepath + 'DataManagement/Catalog/defineACatalogItem.html', '', 24, 0, 0)
menu[7][2] = new Item('define a new Currency', relativepath + 'DataManagement/Catalog/defineANewCurrency.html', '', 24, 0, 0)
menu[7][3] = new Item('incorporate a Catalog', relativepath + 'DataManagement/Catalog/incorporateACatalog.html', '', 24, 0, 0)
menu[7][4] = new Item('incorporate a Currency', relativepath + 'DataManagement/Catalog/incorporateACurrency.html', '', 42, 0, 0)
menu[6][2] = new Item('DataBasket', '#', '', 24, 0, 8)
menu[8] = new Array();
menu[8][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[8][1] = new Item('create a DataBasketEntryGrouper', relativepath + 'DataManagement/DataBasket/createADataBasketEntryGrouper.html', '', 42, 0, 0)
menu[8][2] = new Item('use a DataBasket', relativepath + 'DataManagement/DataBasket/useADataBasket.html', '', 24, 0, 0)
menu[8][3] = new Item('use a DataBasketCondition', relativepath + 'DataManagement/DataBasket/useADataBasketCondition.html', '', 42, 0, 0)
menu[6][3] = new Item('Filter', '#', '', 24, 0, 9)
menu[9] = new Array();
menu[9][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[9][1] = new Item('incorporate a CatalogFilter on a Catalog', relativepath + 'DataManagement/Filter/incorporateACatalogFilterOnACatalog.html', '', 42, 0, 0)
menu[9][2] = new Item('incorporate a CountingStockFilter on a CountingStock', relativepath + 'DataManagement/Filter/incorporateACountingStockFilterOnACountingStock.html', '', 60, 0, 0)
menu[9][3] = new Item('incorporate a CurrencyFilter on a Currency', relativepath + 'DataManagement/Filter/incorporateACurrencyFilterOnACurrency.html', '', 42, 0, 0)
menu[9][4] = new Item('incorporate a MoneyBagFilter on a MoneyBag', relativepath + 'DataManagement/Filter/incorporateAMoneyBagFilterOnAMoneyBag.html', '', 42, 0, 0)
menu[9][5] = new Item('incorporate a StoringStockFilter on a StoringStock', relativepath + 'DataManagement/Filter/incorporateAStoringStockFilterOnAStoringStock.html', '', 60, 0, 0)
menu[6][4] = new Item('Stock', '#', '', 24, 0, 10)
menu[10] = new Array();
menu[10][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[10][1] = new Item('define a StockItem', relativepath + 'DataManagement/Stock/defineAStockItem.html', '', 24, 0, 0)
menu[10][2] = new Item('fill a Stock with Values', relativepath + 'DataManagement/Stock/fillAStockWithValues.html', '', 42, 0, 0)
menu[10][3] = new Item('incorporate a CountingStock on a Catalog', relativepath + 'DataManagement/Stock/incorporateACountingStockOnACatalog.html', '', 42, 0, 0)
menu[10][4] = new Item('incorporate a MoneyBag on a Currency', relativepath + 'DataManagement/Stock/incorporateAMoneyBagOnACurrency.html', '', 42, 0, 0)
menu[10][5] = new Item('incorporate a StoringStock on a Catalog', relativepath + 'DataManagement/Stock/incorporateAStoringStockOnACatalog.html', '', 42, 0, 0)

menu[0][3] = new Item('Display', '#', '', 25, 32, 11);
menu[11] = new Array();
menu[11][0] = new Menu(true, '>', 0, 20, 88, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[11][1] = new Item('FormSheets', '#', '', 24, 0, 12)
menu[12] = new Array();
menu[12][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[12][1] = new Item('change the standard ok or cancel button behaviour', relativepath + 'Display/FormSheets/changeTheStandardOkOrCancelButtonBehaviour.html', '', 60, 0, 0)
menu[12][2] = new Item('create a FormSheet', relativepath + 'Display/FormSheets/createAFormSheet.html', '', 24, 0, 0)
menu[12][3] = new Item('define a FormSheet for a SalesPoint', relativepath + 'Display/FormSheets/defineAFormSheetForASalesPoint.html', '', 42, 0, 0)
menu[12][4] = new Item('define an Action for a Button in a Component', relativepath + 'Display/FormSheets/defineAnActionForAButtonInAComponent.html', '', 60, 0, 0)
menu[12][5] = new Item('define the StatusFormSheet for a SalesPoint', relativepath + 'Display/FormSheets/defineTheStatusFormSheetForASalesPoint.html', '', 42, 0, 0)
menu[11][2] = new Item('MenuSheets', '#', '', 24, 0, 13)
menu[13] = new Array();
menu[13][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[13][1] = new Item('alter a Shops MenuSheet during runtime', relativepath + 'Display/MenuSheets/alterAShopsMenuSheetDuringRuntime.html', '', 42, 0, 0)
menu[13][2] = new Item('define a MenuSheet', relativepath + 'Display/MenuSheets/defineAMenuSheet.html', '', 24, 0, 0)
menu[13][3] = new Item('define a MenuSheet in a SalesPoint', relativepath + 'Display/MenuSheets/defineAMenuSheetInASalesPoint.html', '', 42, 0, 0)
menu[13][4] = new Item('define a MenuSheet in a Shop', relativepath + 'Display/MenuSheets/defineAMenuSheetInAShop.html', '', 42, 0, 0)
menu[13][5] = new Item('define the StatusMenuSheet for a SalesPoint', relativepath + 'Display/MenuSheets/defineTheStatusMenuSheetForASalesPoint.html', '', 42, 0, 0)

menu[11][3] = new Item('Standard user interaction', '#', '', 42, 0, 14)
menu[14] = new Array();
menu[14][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[14][1] = new Item('for log file management', '#', '', 42, 0, 15)
menu[15] = new Array();
menu[15][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[15][1] = new Item('display log file contents', relativepath + 'Display/StandardUserInteraction/forLogFileManagement/displayLogFileContents.html', '', 42, 0, 0)
menu[15][2] = new Item('display only certain entries of a log file', relativepath + 'Display/StandardUserInteraction/forLogFileManagement/displayOnlyCertainEntriesOfALogFile.html', '', 42, 0, 0)
menu[14][2] = new Item('for user management', '#', '', 24, 0, 16)
menu[16] = new Array();
menu[16][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[16][1] = new Item('define a UserFilter', relativepath + 'Display/StandardUserInteraction/forUserManagement/defineAUserFilter.html', '', 24, 0, 0)
menu[16][2] = new Item('display Users in a JUserListBox', relativepath + 'Display/StandardUserInteraction/forUserManagement/displayUsersInAJUserListBox.html', '', 42, 0, 0)
menu[16][3] = new Item('display a users Capability', relativepath + 'Display/StandardUserInteraction/forUserManagement/displayAUsersCapability.html', '', 42, 0, 0)
menu[16][4] = new Item('use a LogOnForm', relativepath + 'Display/StandardUserInteraction/forUserManagement/useALogOnForm.html', '', 24, 0, 0)
menu[11][4] = new Item('Tables', '#', '', 24, 0, 17)
menu[17] = new Array();
menu[17][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[17][1] = new Item('create a Table', relativepath + 'Display/Tables/createATable.html', '', 24, 0, 0)
menu[17][2] = new Item('create a sorted Table', relativepath + 'Display/Tables/createASortedTable.html', '', 24, 0, 0)
menu[17][3] = new Item('create an editable Table', relativepath + 'Display/Tables/createAnEditableTable.html', '', 42, 0, 0)
menu[17][4] = new Item('define a TableCellEditor', relativepath + 'Display/Tables/defineATableCellEditor.html', '', 42, 0, 0)
menu[17][5] = new Item('define a new TableLayout', relativepath + 'Display/Tables/defineANewTableLayout.html', '', 42, 0, 0)

menu[0][4] = new Item('Log management', '#', '', 50, 57, 18);
menu[18] = new Array();
menu[18][0] = new Menu(true, '>', 0, 20, 88, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[18][1] = new Item('define a Log', relativepath + 'LogManagement/none/defineALog.html', '', 24, 0, 0)
menu[18][2] = new Item('define a LogEntryFilter', relativepath + 'LogManagement/none/defineALogEntryFilter.html', '', 42, 0, 0)
menu[18][3] = new Item('define a new LogEntry', relativepath + 'LogManagement/none/defineANewLogEntry.html', '', 24, 0, 0)
menu[18][4] = new Item('define a new ProcessLogEntry', relativepath + 'LogManagement/none/defineANewProcessLogEntry.html', '', 42, 0, 0)
menu[18][5] = new Item('implement the interface Loggable', relativepath + 'LogManagement/none/implementTheInterfaceLoggable.html', '', 42, 0, 0)
menu[18][6] = new Item('log the opening and closing of a SalesPoint', relativepath + 'LogManagement/none/logTheOpeningAndClosingOfASalesPoint.html', '', 42, 0, 0)
menu[18][7] = new Item('log the opening and closing of a log file', relativepath + 'LogManagement/none/logTheOpeningAndClosingOfALogFile.html', '', 42, 0, 0)
menu[18][8] = new Item('understand Logging', relativepath + 'LogManagement/none/understandLogging.html', '', 24, 0, 0)

menu[0][5] = new Item('User management', '#', '', 53, 60, 19);
menu[19] = new Array();
menu[19][0] = new Menu(true, '>', 0, 20, 88, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[19][1] = new Item('use the UserManager', relativepath + 'UserManagement/none/useTheUserManager.html', '', 24, 0, 0)
menu[19][2] = new Item('users', '#', '', 24, 0, 20)
menu[20] = new Array();
menu[20][0] = new Menu(true, '>', 150, 0, 80, defOver, defBack, 'itemBorder', 'NavBarFont2');
menu[20][1] = new Item('add an ActionCapability to a User', relativepath + 'UserManagement/users/addAnActionCapabilityToAUser.html', '', 42, 0, 0)
menu[20][2] = new Item('garble a Users password', relativepath + 'UserManagement/users/garbleAUsersPassword.html', '', 42, 0, 0)